Get a list of Subscriptions
GET /api
Also reachable at /api, /api.
Lists all of the Subscriptions in the supplied Octopus Deploy Space. The results will be sorted alphabetically by name.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource.
Query Parameters
idsarray of stringpartialNamestring
A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The requested Subscriptions
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectEventNotificationSubscriptionobjectIdstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSpaceIdstringTypeenum
Allowed values:Event.
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"EventNotificationSubscription": {
"EmailDigestLastProcessed": "2020-01-01T00:00:00.000Z",
"EmailDigestLastProcessedEventAutoId": 0,
"EmailFrequencyPeriod": "string",
"EmailPriority": "Normal",
"EmailShowDatesInTimeZoneId": "string",
"EmailTeams": [
"string"
],
"Filter": {},
"SlackChannelIds": [
"string"
],
"SlackChannelNames": [
"string"
],
"SlackDigestLastProcessed": "2020-01-01T00:00:00.000Z",
"SlackDigestLastProcessedEventAutoId": 0,
"SlackFrequencyPeriod": "string",
"WebhookHeaderKey": "string",
"WebhookHeaderValue": {},
"WebhookLastProcessed": "2020-01-01T00:00:00.000Z",
"WebhookLastProcessedEventAutoId": 0,
"WebhookTeams": [
"string"
],
"WebhookTimeout": "string",
"WebhookURI": "https://example.com"
},
"Id": "string",
"IsDisabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"SpaceId": "Spaces-1",
"Type": "Event"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a new Subscription
POST /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource.
Request Body
EventNotificationSubscriptionobject (required)EmailDigestLastProcessedstring
Formatdate-time.EmailDigestLastProcessedEventAutoIdintegerEmailFrequencyPeriodstring
Formatdate-span.EmailPriorityenum
Allowed values:Normal,Low,High.EmailShowDatesInTimeZoneIdstringEmailTeamsarray of stringFilterobjectSlackChannelIdsarray of stringSlackChannelNamesarray of stringSlackDigestLastProcessedstring
Formatdate-time.SlackDigestLastProcessedEventAutoIdintegerSlackFrequencyPeriodstring
Formatdate-span.WebhookHeaderKeystringWebhookHeaderValueobjectWebhookLastProcessedstring
Formatdate-time.WebhookLastProcessedEventAutoIdintegerWebhookTeamsarray of stringWebhookTimeoutstring
Formatdate-span.WebhookURIstring
Use a backing field here, so we can ignore empty strings, which the portal sends us. Formaturi.
IsDisabledbooleanNamestring (required)
Minimum length 1.SpaceIdstring (required)
The ID of the space containing the resource.
Response
201 — Created
EventNotificationSubscriptionobjectEmailDigestLastProcessedstring
Formatdate-time.EmailDigestLastProcessedEventAutoIdintegerEmailFrequencyPeriodstring
Formatdate-span.EmailPriorityenum
Allowed values:Normal,Low,High.EmailShowDatesInTimeZoneIdstringEmailTeamsarray of stringFilterobjectSlackChannelIdsarray of stringSlackChannelNamesarray of stringSlackDigestLastProcessedstring
Formatdate-time.SlackDigestLastProcessedEventAutoIdintegerSlackFrequencyPeriodstring
Formatdate-span.WebhookHeaderKeystringWebhookHeaderValueobjectWebhookLastProcessedstring
Formatdate-time.WebhookLastProcessedEventAutoIdintegerWebhookTeamsarray of stringWebhookTimeoutstring
Formatdate-span.WebhookURIstring
Use a backing field here, so we can ignore empty strings, which the portal sends us. Formaturi.
Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSpaceIdstringTypeenum
Allowed values:Event.
Example Request
{
"EventNotificationSubscription": {
"EmailDigestLastProcessed": "2020-01-01T00:00:00.000Z",
"EmailDigestLastProcessedEventAutoId": 0,
"EmailFrequencyPeriod": "string",
"EmailPriority": "Normal",
"EmailShowDatesInTimeZoneId": "string",
"EmailTeams": [
"string"
],
"Filter": {
"DocumentTypes": [
"string"
],
"Environments": [
"string"
],
"EventAgents": [
"string"
],
"EventCategories": [
"string"
],
"EventGroups": [
"string"
],
"ProjectGroups": [
"string"
],
"Projects": [
"string"
],
"Tags": [
"string"
],
"Tenants": [
"Tenants-1",
"..."
],
"Users": [
"string"
]
},
"SlackChannelIds": [
"string"
],
"SlackChannelNames": [
"string"
],
"SlackDigestLastProcessed": "2020-01-01T00:00:00.000Z",
"SlackDigestLastProcessedEventAutoId": 0,
"SlackFrequencyPeriod": "string",
"WebhookHeaderKey": "string",
"WebhookHeaderValue": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"WebhookLastProcessed": "2020-01-01T00:00:00.000Z",
"WebhookLastProcessedEventAutoId": 0,
"WebhookTeams": [
"string"
],
"WebhookTimeout": "string",
"WebhookURI": "https://example.com"
},
"IsDisabled": true,
"Name": "string",
"SpaceId": "Spaces-1"
}Example Response
{
"EventNotificationSubscription": {
"EmailDigestLastProcessed": "2020-01-01T00:00:00.000Z",
"EmailDigestLastProcessedEventAutoId": 0,
"EmailFrequencyPeriod": "string",
"EmailPriority": "Normal",
"EmailShowDatesInTimeZoneId": "string",
"EmailTeams": [
"string"
],
"Filter": {
"DocumentTypes": [
"string"
],
"Environments": [
"string"
],
"EventAgents": [
"string"
],
"EventCategories": [
"string"
],
"EventGroups": [
"string"
],
"ProjectGroups": [
"string"
],
"Projects": [
"string"
],
"Tags": [
"string"
],
"Tenants": [
"Tenants-1",
"..."
],
"Users": [
"string"
]
},
"SlackChannelIds": [
"string"
],
"SlackChannelNames": [
"string"
],
"SlackDigestLastProcessed": "2020-01-01T00:00:00.000Z",
"SlackDigestLastProcessedEventAutoId": 0,
"SlackFrequencyPeriod": "string",
"WebhookHeaderKey": "string",
"WebhookHeaderValue": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"WebhookLastProcessed": "2020-01-01T00:00:00.000Z",
"WebhookLastProcessedEventAutoId": 0,
"WebhookTeams": [
"string"
],
"WebhookTimeout": "string",
"WebhookURI": "https://example.com"
},
"Id": "string",
"IsDisabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"SpaceId": "Spaces-1",
"Type": "Event"
}Get all Subscriptions
GET /api
Also reachable at /api, /api.
Lists all the Subscriptions in the supplied Octopus Deploy Space
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource.
Response
200 — All Subscriptions from the requested Space
EventNotificationSubscriptionobjectEmailDigestLastProcessedstring
Formatdate-time.EmailDigestLastProcessedEventAutoIdintegerEmailFrequencyPeriodstring
Formatdate-span.EmailPriorityenum
Allowed values:Normal,Low,High.EmailShowDatesInTimeZoneIdstringEmailTeamsarray of stringFilterobjectSlackChannelIdsarray of stringSlackChannelNamesarray of stringSlackDigestLastProcessedstring
Formatdate-time.SlackDigestLastProcessedEventAutoIdintegerSlackFrequencyPeriodstring
Formatdate-span.WebhookHeaderKeystringWebhookHeaderValueobjectWebhookLastProcessedstring
Formatdate-time.WebhookLastProcessedEventAutoIdintegerWebhookTeamsarray of stringWebhookTimeoutstring
Formatdate-span.WebhookURIstring
Use a backing field here, so we can ignore empty strings, which the portal sends us. Formaturi.
Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSpaceIdstringTypeenum
Allowed values:Event.
Example Response
[
{
"EventNotificationSubscription": {
"EmailDigestLastProcessed": "2020-01-01T00:00:00.000Z",
"EmailDigestLastProcessedEventAutoId": 0,
"EmailFrequencyPeriod": "string",
"EmailPriority": "Normal",
"EmailShowDatesInTimeZoneId": "string",
"EmailTeams": [
"string"
],
"Filter": {
"DocumentTypes": [
"string"
],
"Environments": [
"string"
],
"EventAgents": [
"string"
],
"EventCategories": [
"string"
],
"EventGroups": [
"string"
],
"ProjectGroups": [
"string"
],
"Projects": [
"string"
],
"Tags": [
"string"
],
"Tenants": [
"Tenants-1",
"..."
],
"Users": [
"string"
]
},
"SlackChannelIds": [
"string"
],
"SlackChannelNames": [
"string"
],
"SlackDigestLastProcessed": "2020-01-01T00:00:00.000Z",
"SlackDigestLastProcessedEventAutoId": 0,
"SlackFrequencyPeriod": "string",
"WebhookHeaderKey": "string",
"WebhookHeaderValue": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"WebhookLastProcessed": "2020-01-01T00:00:00.000Z",
"WebhookLastProcessedEventAutoId": 0,
"WebhookTeams": [
"string"
],
"WebhookTimeout": "string",
"WebhookURI": "https://example.com"
},
"Id": "string",
"IsDisabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"SpaceId": "Spaces-1",
"Type": "Event"
}
]Get a Subscription by ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Subscription to load.spaceIdstring (required)
The ID of the space containing the resource.
Response
200 — The requested Subscription
EventNotificationSubscriptionobjectEmailDigestLastProcessedstring
Formatdate-time.EmailDigestLastProcessedEventAutoIdintegerEmailFrequencyPeriodstring
Formatdate-span.EmailPriorityenum
Allowed values:Normal,Low,High.EmailShowDatesInTimeZoneIdstringEmailTeamsarray of stringFilterobjectSlackChannelIdsarray of stringSlackChannelNamesarray of stringSlackDigestLastProcessedstring
Formatdate-time.SlackDigestLastProcessedEventAutoIdintegerSlackFrequencyPeriodstring
Formatdate-span.WebhookHeaderKeystringWebhookHeaderValueobjectWebhookLastProcessedstring
Formatdate-time.WebhookLastProcessedEventAutoIdintegerWebhookTeamsarray of stringWebhookTimeoutstring
Formatdate-span.WebhookURIstring
Use a backing field here, so we can ignore empty strings, which the portal sends us. Formaturi.
Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSpaceIdstringTypeenum
Allowed values:Event.
Example Response
{
"EventNotificationSubscription": {
"EmailDigestLastProcessed": "2020-01-01T00:00:00.000Z",
"EmailDigestLastProcessedEventAutoId": 0,
"EmailFrequencyPeriod": "string",
"EmailPriority": "Normal",
"EmailShowDatesInTimeZoneId": "string",
"EmailTeams": [
"string"
],
"Filter": {
"DocumentTypes": [
"string"
],
"Environments": [
"string"
],
"EventAgents": [
"string"
],
"EventCategories": [
"string"
],
"EventGroups": [
"string"
],
"ProjectGroups": [
"string"
],
"Projects": [
"string"
],
"Tags": [
"string"
],
"Tenants": [
"Tenants-1",
"..."
],
"Users": [
"string"
]
},
"SlackChannelIds": [
"string"
],
"SlackChannelNames": [
"string"
],
"SlackDigestLastProcessed": "2020-01-01T00:00:00.000Z",
"SlackDigestLastProcessedEventAutoId": 0,
"SlackFrequencyPeriod": "string",
"WebhookHeaderKey": "string",
"WebhookHeaderValue": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"WebhookLastProcessed": "2020-01-01T00:00:00.000Z",
"WebhookLastProcessedEventAutoId": 0,
"WebhookTeams": [
"string"
],
"WebhookTimeout": "string",
"WebhookURI": "https://example.com"
},
"Id": "string",
"IsDisabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"SpaceId": "Spaces-1",
"Type": "Event"
}Update an existing Subscription
PUT /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Subscription to modify.spaceIdstring (required)
The ID of the space containing the resource.
Request Body
EventNotificationSubscriptionobject (required)EmailDigestLastProcessedstring
Formatdate-time.EmailDigestLastProcessedEventAutoIdintegerEmailFrequencyPeriodstring
Formatdate-span.EmailPriorityenum
Allowed values:Normal,Low,High.EmailShowDatesInTimeZoneIdstringEmailTeamsarray of stringFilterobjectSlackChannelIdsarray of stringSlackChannelNamesarray of stringSlackDigestLastProcessedstring
Formatdate-time.SlackDigestLastProcessedEventAutoIdintegerSlackFrequencyPeriodstring
Formatdate-span.WebhookHeaderKeystringWebhookHeaderValueobjectWebhookLastProcessedstring
Formatdate-time.WebhookLastProcessedEventAutoIdintegerWebhookTeamsarray of stringWebhookTimeoutstring
Formatdate-span.WebhookURIstring
Use a backing field here, so we can ignore empty strings, which the portal sends us. Formaturi.
Idstring (required)
ID of the Subscription to modify.IsDisabledbooleanNamestring (required)
Minimum length 1.SpaceIdstring (required)
The ID of the space containing the resource.Typeenum
Allowed values:Event.
Response
200 — The updated Subscription
EventNotificationSubscriptionobjectEmailDigestLastProcessedstring
Formatdate-time.EmailDigestLastProcessedEventAutoIdintegerEmailFrequencyPeriodstring
Formatdate-span.EmailPriorityenum
Allowed values:Normal,Low,High.EmailShowDatesInTimeZoneIdstringEmailTeamsarray of stringFilterobjectSlackChannelIdsarray of stringSlackChannelNamesarray of stringSlackDigestLastProcessedstring
Formatdate-time.SlackDigestLastProcessedEventAutoIdintegerSlackFrequencyPeriodstring
Formatdate-span.WebhookHeaderKeystringWebhookHeaderValueobjectWebhookLastProcessedstring
Formatdate-time.WebhookLastProcessedEventAutoIdintegerWebhookTeamsarray of stringWebhookTimeoutstring
Formatdate-span.WebhookURIstring
Use a backing field here, so we can ignore empty strings, which the portal sends us. Formaturi.
Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSpaceIdstringTypeenum
Allowed values:Event.
Example Request
{
"EventNotificationSubscription": {
"EmailDigestLastProcessed": "2020-01-01T00:00:00.000Z",
"EmailDigestLastProcessedEventAutoId": 0,
"EmailFrequencyPeriod": "string",
"EmailPriority": "Normal",
"EmailShowDatesInTimeZoneId": "string",
"EmailTeams": [
"string"
],
"Filter": {
"DocumentTypes": [
"string"
],
"Environments": [
"string"
],
"EventAgents": [
"string"
],
"EventCategories": [
"string"
],
"EventGroups": [
"string"
],
"ProjectGroups": [
"string"
],
"Projects": [
"string"
],
"Tags": [
"string"
],
"Tenants": [
"Tenants-1",
"..."
],
"Users": [
"string"
]
},
"SlackChannelIds": [
"string"
],
"SlackChannelNames": [
"string"
],
"SlackDigestLastProcessed": "2020-01-01T00:00:00.000Z",
"SlackDigestLastProcessedEventAutoId": 0,
"SlackFrequencyPeriod": "string",
"WebhookHeaderKey": "string",
"WebhookHeaderValue": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"WebhookLastProcessed": "2020-01-01T00:00:00.000Z",
"WebhookLastProcessedEventAutoId": 0,
"WebhookTeams": [
"string"
],
"WebhookTimeout": "string",
"WebhookURI": "https://example.com"
},
"Id": "Subscriptions-1",
"IsDisabled": true,
"Name": "string",
"SpaceId": "Spaces-1",
"Type": "Event"
}Example Response
{
"EventNotificationSubscription": {
"EmailDigestLastProcessed": "2020-01-01T00:00:00.000Z",
"EmailDigestLastProcessedEventAutoId": 0,
"EmailFrequencyPeriod": "string",
"EmailPriority": "Normal",
"EmailShowDatesInTimeZoneId": "string",
"EmailTeams": [
"string"
],
"Filter": {
"DocumentTypes": [
"string"
],
"Environments": [
"string"
],
"EventAgents": [
"string"
],
"EventCategories": [
"string"
],
"EventGroups": [
"string"
],
"ProjectGroups": [
"string"
],
"Projects": [
"string"
],
"Tags": [
"string"
],
"Tenants": [
"Tenants-1",
"..."
],
"Users": [
"string"
]
},
"SlackChannelIds": [
"string"
],
"SlackChannelNames": [
"string"
],
"SlackDigestLastProcessed": "2020-01-01T00:00:00.000Z",
"SlackDigestLastProcessedEventAutoId": 0,
"SlackFrequencyPeriod": "string",
"WebhookHeaderKey": "string",
"WebhookHeaderValue": {
"IsSensitive": true,
"SensitiveValue": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Value": "string"
},
"WebhookLastProcessed": "2020-01-01T00:00:00.000Z",
"WebhookLastProcessedEventAutoId": 0,
"WebhookTeams": [
"string"
],
"WebhookTimeout": "string",
"WebhookURI": "https://example.com"
},
"Id": "string",
"IsDisabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"SpaceId": "Spaces-1",
"Type": "Event"
}Delete an existing Subscription
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Subscription to delete.spaceIdstring (required)
The ID of the space containing the resource.
Response
200 — Confirmation that the Subscription was deleted
Example Response
{}